> ## Documentation Index
> Fetch the complete documentation index at: https://docs.steppay.kr/llms.txt
> Use this file to discover all available pages before exploring further.

# 배송 정보 조회

> 주문의 배송 정보가 조회됩니다.



## OpenAPI

````yaml /steppay_v1.json get /api/v1/delivery/orders/{orderIdOrCode}
openapi: 3.0.1
info:
  title: STEPPAY
  version: '1.0'
  contact:
    name: Steppay
    url: https://www.steppay.kr
    email: contact@steppay.kr
servers:
  - url: https://api.steppay.kr
    description: Generated server url
security:
  - Secret-Token: []
paths:
  /api/v1/delivery/orders/{orderIdOrCode}:
    get:
      tags:
        - 주문 API
      summary: 배송 정보 조회
      description: 주문의 배송 정보가 조회됩니다.
      operationId: v1_findAllDeliveries
      parameters:
        - name: orderIdOrCode
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DeliveryBunchSingleV1'
        '400':
          description: Bad Request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ProductErrorresponse'
        '403':
          description: Forbidden
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/ProductErrorresponse'
components:
  schemas:
    DeliveryBunchSingleV1:
      required:
        - deliveryCharge
        - deliveryItemList
        - direction
        - purpose
        - recipient
        - status
      type: object
      properties:
        purpose:
          type: string
          enum:
            - ORDER
            - EXCHANGE_COLLECTION
            - EXCHANGE_DELIVERY
            - EXCHANGE_REJECTED
            - RETURN_COLLECTION
            - RETURN_REJECTED
        direction:
          type: string
          enum:
            - TO_BUYER
            - TO_SELLER
        status:
          type: string
          enum:
            - PREPARING
            - SUSPENDED
            - ON_THE_WAY
            - COMPLETED
        deliveryCharge:
          type: integer
          format: int64
        createdAt:
          type: string
          format: date-time
        recipient:
          $ref: '#/components/schemas/RecipientDTO'
        deliveryItemList:
          type: array
          items:
            $ref: '#/components/schemas/DeliveryItemSingleV1'
        tracking:
          $ref: '#/components/schemas/DeliveryTrackingDTO'
    ProductErrorresponse:
      required:
        - errorCode
      type: object
      properties:
        traceId:
          type: string
        errorCode:
          type: string
        errorMessage:
          type: string
        details:
          $ref: '#/components/schemas/ReturnError'
    RecipientDTO:
      required:
        - address1
        - address2
        - name
        - phone
        - postcode
      type: object
      properties:
        name:
          type: string
        phone:
          type: string
        postcode:
          type: string
        address1:
          type: string
        address2:
          type: string
    DeliveryItemSingleV1:
      required:
        - orderItemCode
      type: object
      properties:
        orderItemCode:
          type: string
        movedTo:
          type: string
    DeliveryTrackingDTO:
      required:
        - courier
        - trackingNumber
      type: object
      properties:
        courier:
          type: string
          enum:
            - DOOR_TO_DOOR
            - LOTTE
            - DONGBUEXPRESS
            - HANIPS
            - HANJIN
            - HLC
            - KDEXP
            - KGLOGIS
            - KOREANAIR
            - ILOGEN
            - EPANTOS
            - EPOST
            - INNOGIS
            - ILYANGLOGIS
            - CVSNET
            - EPOST_EMS
            - FEDEX
            - KGBLS
            - OCSKOREA
            - TNT
            - UPS
            - DHL
            - ETC
        trackingNumber:
          type: string
        message:
          type: string
        departedAt:
          type: string
          format: date-time
        arrivedAt:
          type: string
          format: date-time
    ReturnError:
      type: object
  securitySchemes:
    Secret-Token:
      type: apiKey
      in: header
      name: Secret-Token

````